<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Texinfo/MenuMaker.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Texinfo.MenuMaker</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Texinfo.html" >Texinfo</a>
</div><div class="class-name">class MenuMaker

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Texinfo.py.html" target="detail">../Synopsis/Formatters/Texinfo.py</a></div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="MenuMaker-inheritance" src="MenuMaker-inheritance.png" hspace="8" vspace="8" border="0" usemap="#MenuMaker-inheritance_map" />
<map name="MenuMaker-inheritance_map"></map>
 <div class="doc">generate a texinfo menu for the declarations of a given scope</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="scope">scope</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="os">os</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line29" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_group">visit_group</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_enum">visit_enum</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line40" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">scope</span>, <span class="variable">os</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line26" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker.write" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line31" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="start">start</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker.start" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line32" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end">end</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker.end" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line33" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref16.html#Synopsis.Formatters.Texinfo.MenuMaker.visit_declaration" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Texinfo.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
